Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface JoinInputCollector

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  JoinInputCollectorImpl

    public interface JoinInputCollector

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Join Input Collector'. Join input collector keeps entries to be joined.

The following features are supported:

- `Indices`
- `Join Entries`

See Also:
  `SnapshotPackage.getJoinInputCollector()`

Method Summary
`org.eclipse.emf.common.util.EList<Integer>` | `getIndices()` Returns the value of the 'Indices' attribute list.
`org.eclipse.emf.common.util.EList<JoinEntry>` | `getJoinEntries()` Returns the value of the 'Join Entries' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIndices

    org.eclipse.emf.common.util.EList<Integer> getIndices()

  Returns the value of the 'Indices' attribute list. The list contents are of type `Integer`.

  If the meaning of the 'Indices' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Indices' attribute list.
  See Also:
    `SnapshotPackage.getJoinInputCollector_Indices()`

### getJoinEntries

    org.eclipse.emf.common.util.EList<JoinEntry> getJoinEntries()

  Returns the value of the 'Join Entries' containment reference list. The list contents are of type `JoinEntry`.

  If the meaning of the 'Join Entries' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Join Entries' containment reference list.
  See Also:
    `SnapshotPackage.getJoinInputCollector_JoinEntries()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD